[wmf.8 - regression] Related changes: Saved filters set as default won't include the page as part of a query
Closed, ResolvedPublic

Description

As @MaxSem found out:

  1. On Special:RealtedChanges page set some filters as default.
  2. Go to a Random page, then click on the Related changes on the left-hand navigation links.
  3. Special: Related changes should display results filtered by the page - but default saved filters will not include the referral page, i.e. url won't have Special:RecentChangesLinked/name_of_the page

Note 1: if there is no user set default filters - the above scenario works as expected - the page is displayed in 'Page name' box and results are filtered accordingly.

Note 2: It seems like a ramification of not saving a page as part of the saved filters on Special:Related Pages (also reported as T178293: "Related changes" can't work at zhwiki ), saved filters set as default won't filter for

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2017, 10:07 PM
Etonkovidova added a subscriber: MaxSem.

Change 392756 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Respect subpage in RCLinked

https://gerrit.wikimedia.org/r/392756

Change 392756 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Respect subpage in RCLinked

https://gerrit.wikimedia.org/r/392756

Change 392882 had a related patch set uploaded (by Jforrester; owner: Mooeypoo):
[mediawiki/core@wmf/1.31.0-wmf.8] RCFilters: Respect subpage in RCLinked

https://gerrit.wikimedia.org/r/392882

Change 392882 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.8] RCFilters: Respect subpage in RCLinked

https://gerrit.wikimedia.org/r/392882

Mentioned in SAL (#wikimedia-operations) [2017-11-27T19:39:01Z] <catrope@tin> Synchronized php-1.31.0-wmf.8/includes/specials/SpecialRecentchangeslinked.php: T181100 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2017-11-27T19:42:42Z] <catrope@tin> Synchronized php-1.31.0-wmf.8/resources/src/mediawiki.rcfilters/mw.rcfilters.UriProcessor.js: T181100 (duration: 00m 45s)

This is now deployed, and the patch mostly works, but it's still broken in one aspect: if you don't have a default saved query, the title is in the URL path instead of in the title param, and the JS doesn't normalize that into the target param, so changing the target in the UI results in two targets in the URL.

This is now deployed, and the patch mostly works, but it's still broken in one aspect: if you don't have a default saved query, the title is in the URL path instead of in the title param, and the JS doesn't normalize that into the target param, so changing the target in the UI results in two targets in the URL.

See _normalizeTargetInUri (and associated unit tests) for a way to normalize subpage in url for T172161. Still WIP but mostly for its dependencies on hidden/sticky patches.

Checked the fix in betalabs - works as expected.

Etonkovidova closed this task as Resolved.Dec 21 2017, 2:07 AM